Skip to content

Update employee permissions

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Update employee permissions

Security
oauth2ClientCredentials(Required scopes: roles:write)
Path
employee_idstringrequired
Headers
business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
permissionsobjectrequired

Employee permissions object with permission keys and binary values (0=disabled, 1=enabled)

Example:
{ "ALLOCATIONS_INITIATE": 1, "ALLOCATIONS_APPROVE": 1, "BULK:PAYOUTS_INITIATE": 1, "BUSINESS:BALANCE_VIEW": 1, "CARDS_APPROVE": 1, "EXPENSES_VIEW": 1 }
curl -i -X PATCH \
  'https://developer.boyahq.com/_mock/v2/openapi/permissions/employees/{employee_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -d '{
    "permissions": {
      "ALLOCATIONS_INITIATE": 1,
      "ALLOCATIONS_APPROVE": 1,
      "BULK:PAYOUTS_INITIATE": 1,
      "BUSINESS:BALANCE_VIEW": 1,
      "CARDS_APPROVE": 1,
      "EXPENSES_VIEW": 1
    }
  }'

Responses

Employee permissions updated successfully